rlwatson

Using the .NET 4.0 Framework

Discussion created by rlwatson on Oct 18, 2012
10.1 Desktop supports the .NET 4.0 framework.  You simply have to uncomment a couple of lines in config files for ArcMap and ArcCatalog.

My question is with regards ArcGIS Server.  I created a simple SOE (actually I just used the ESRI Visual Studio 2010 template) which requires that you use the 3.5 framework (the help says this as well).  The trivial SOE runs fine.  I then modified the Visual Studio project to use the 4.0 framework and it seems to run fine as well. 

My assumption is that if Desktop supports the 4.0 framework then so does server.

Is there anything else that I need to do or consider?

I find it confusing that the Visual Studio SOE creation template is not available if you choose the 4.0 framework.

Outcomes